Debian Bug report logs - #296592
dimensions of icons with icon border are calculated wrong

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: bernhard.sammer@arz.co.at

Date: Wed, 23 Feb 2005 14:18:04 UTC

Severity: normal

Fixed in version 6.8.2.dfsg.1-1

Done: David Martínez Moreno <ender@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>, unknown-package@qa.debian.org:
Bug#296592; Package xterm(200) 4.3.0.dfsg.1-10. Full text and rfc822 format available.

Acknowledgement sent to bernhard.sammer@arz.co.at:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>, unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bernhard.sammer@arz.co.at
To: submit@bugs.debian.org
Subject: dimensions of icons with icon border are calculated wrong
Date: Wed, 23 Feb 2005 15:05:40 +0100
[Message part 1 (text/plain, inline)]
Package: xterm(200) 4.3.0.dfsg.1-10

To see the problem, set something like the following X resources:

XTerm.vt100.activeIcon: true
XTerm.vt100.iconBorderColor: sandy brown
XTerm.vt100.iconBorderWidth: >0

If you resize a newly created xterm window and then iconify it the 
dimensions (size and relative position) of the icon and icon title are 
calculated wrong. It seems that the width of the border is not included in 
the calculation. The icon slightly overlaps the the icon title.

This causes an endless loop of redraws of the icon title and the icon! The 
xterm icon does not respond and the overlapping region begins to blink 
each second. In some rare cases this also caused fvwm to crash in my 
installation.

Important: you need a window manager that supports active icons and icon 
borders. I used fvwm.

There is also an error in the xterm manual page: the manual page says that 
the default of XTerm.vt100.iconBorderWidth is 0, but at least under Debian 
Linux this is not true, You must explicitly set it to 0 to have no border 
(if you have no icon border the problem described above does not happen).


----------------
Disclaimer:
Diese Nachricht dient ausschließlich zu Informationszwecken und ist nur 
für den Gebrauch des Empfängers bestimmt.

This message is only for informational purposes and is intended solely for 
the use of the addressee.
---------------- 
[Message part 2 (text/html, inline)]

Bug reassigned from package `xterm(200) 4.3.0.dfsg.1-10' to `xterm'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#296592; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 296592@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 296592@bugs.debian.org
Subject: re: #296592 dimensions of icons with icon border are calculated wrong
Date: Mon, 1 Aug 2005 20:29:28 -0400
[Message part 1 (text/plain, inline)]
this is fixed in patch #201

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to bernhard.sammer@arz.co.at:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 296592-done@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: debian-x@lists.debian.org, 296592-done@bugs.debian.org
Subject: Re: Bug#296592: #296592 dimensions of icons with icon border are calculated wrong
Date: Tue, 2 Aug 2005 10:01:24 +0200
[Message part 1 (text/plain, inline)]
Version: 6.8.2.dfsg.1-1

El Martes, 2 de Agosto de 2005 02:29, Thomas Dickey escribió:
> this is fixed in patch #201

	Hello, Bernhard. This bug is fixed in xterm 6.8.2.dfsg.1-1 and later.

	Thank you for your bug report,


		Ender.
-- 
Mr. Anderson! Welcome back, we missed you.
		-- Agent Smith (Matrix Revolutions).
--
Debian developer
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 03:55:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:17:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.